Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.adapters.jetty
Class JettyAcegiUserToken

    java.lang.Object
      org.acegisecurity.providers.AbstractAuthenticationToken
          org.acegisecurity.adapters.AbstractAdapterAuthenticationToken
              org.acegisecurity.adapters.jetty.JettyAcegiUserToken

All Implemented Interfaces:
  Serializable, Principal, org.acegisecurity.adapters.AuthByAdapter, org.acegisecurity.Authentication, org.mortbay.http.UserPrincipal

    public class JettyAcegiUserToken

extends org.acegisecurity.adapters.AbstractAdapterAuthenticationToken
implements org.mortbay.http.UserPrincipal

A Jetty compatible `Authentication` object.

Version:
  $Id: JettyAcegiUserToken.java,v 1.5 2005/11/17 00:56:28 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`protected` | `JettyAcegiUserToken()`
`` | `JettyAcegiUserToken(String key, String username, String password, org.acegisecurity.GrantedAuthority[] authorities)`

Method Summary
`Object` | `getCredentials()`
`String` | `getName()`
`Object` | `getPrincipal()`

Methods inherited from class org.acegisecurity.adapters.AbstractAdapterAuthenticationToken
`equals, getAuthorities, getKeyHash, isAuthenticated, isUserInRole, setAuthenticated`

Methods inherited from class org.acegisecurity.providers.AbstractAuthenticationToken
`getDetails, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.http.UserPrincipal
`isAuthenticated, isUserInRole`

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Methods inherited from interface org.acegisecurity.Authentication
`getDetails`

Constructor Detail

### JettyAcegiUserToken

    public JettyAcegiUserToken(String key,
                               String username,
                               String password,
                               org.acegisecurity.GrantedAuthority[] authorities)

### JettyAcegiUserToken

    protected JettyAcegiUserToken()

Method Detail

### getCredentials

    public Object getCredentials()

  Specified by:
    `getCredentials` in interface `org.acegisecurity.Authentication`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`
  Overrides:
    `getName` in class `org.acegisecurity.providers.AbstractAuthenticationToken`

### getPrincipal

    public Object getPrincipal()

  Specified by:
    `getPrincipal` in interface `org.acegisecurity.Authentication`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.